#{extends 'borderNG.html' /}

#{set 'titleHead'}
&{'rekanan.izin_usaha'}
#{/set}

<ul class="breadcrumb">
	<li><a href="@{BerandaCtr.index()}" >&{'rekanan.home'}</a></li>
	<li class="active">&{'rekanan.data_penyedia'}</li>
</ul>

#{menuDataPenyedia /}  
<div class="content">
	#{notifMigrasiSikap /}
	#{alert /}
	<table class="table table-sm" id="tblIjinUsaha">
		<thead>
			<tr>
				<th width="10"><input type="checkbox" class="checkall"></th>
				<th>&{'rekanan.izin_usaha'}</th>
				<th>&{'rekanan.nomor_surat'}</th>
				<th>&{'rekanan.berlaku_sampai'}</th>
				<th>&{'rekanan.instansi'}</th>
				<th>&{'rekanan.kualifikasi'}</th>
			</tr>
		</thead>		
	</table>
	#{if active_user.canEditDataPenyedia}
	#{form @rekanan.IjinUsahaCtr.hapus()}
	#{addButton action:@rekanan.IjinUsahaCtr.edit() /}
	#{newDeleteButton /}
	#{/form}
	#{/if}
</div>


#{set 'css_custom' }
<link href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" type="text/css">
<link href="https://cdn.datatables.net/select/1.3.1/css/select.dataTables.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdn.datatables.net/select/1.3.1/js/dataTables.select.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/dataTables.bootstrap4.min.js"></script>
<script type="text/javascript" src="#{assets '/js/dataTables.checkboxes.min.js'/}"></script>
<script type="text/javascript" src="#{assets '/js/datatables.config.js'/}"></script>
<script type="text/javascript" src="#{assets '/js/delete-confirm.js'/}"></script>
<script type="text/javascript">  
var edit = #{jsRoute @rekanan.IjinUsahaCtr.edit(':id') /};
	var table = $("#tblIjinUsaha").DataTable({
		language: {
                "sLengthMenu":   "&{'menu.slengthmenu'} _MENU_ data",
                processing:   "&{'menu.processing'}",
                "sSearch":       "&{'menu.ssearch'}",
                "sInfo":         "&{'menu.sinfo1'} _START_ &{'menu.sinfo2'} _END_ &{'menu.sinfo3'} _TOTAL_ data",
                "sInfoEmpty":    "&{'menu.sinfo1'} 0 &{'menu.sinfo2'} 0 &{'menu.sinfo3'} 0 data"
        },
	 columnDefs: [{
                targets: 0, searchable : false, #{if !active_user.canEditDataPenyedia} visible:false, #{/if}
                render: function(data, type, row, meta){
                    if(type === 'display'){
                        data = '<div class="checkbox"><input type="checkbox" class="dt-checkboxes"><label></label></div>';
                    }
                    var id = row[0];
        			row[1] = '<a href="'+edit.url({id:id})+'" >'+row[1]+'</a>'
                    return data;
                },
                checkboxes: { selectRow: true,  selectAllRender: '<div class="checkbox"><input type="checkbox" class="dt-checkboxes"><label></label></div>'}
            }] ,
        select: 'multi',
        order: [[ 1, "desc"]],
        ajax: "@{DataTableCtr.ijinUsaha()}"
    });
    $('#tblIjinUsaha_filter input').unbind();
    $('#tblIjinUsaha_filter input').bind('keyup', function(e) {
        if(e.keyCode == 13) {
          table.search(this.value).draw();
         }
    });
    #{if active_user.canEditDataPenyedia}
     $('form').on('submit', function(e){
         var $form = $(this);
         var selected = table.rows( { selected: true } ).data();
         selected.each(function(res){
             if(!(res[0] === null || res[0] === '')) {
                 $form.append($('<input>').attr('type', 'hidden').attr('name', 'chkush').val(res[0]));
             }
         });
     });
    #{/if}


#{if !active_user.canEditDataPenyedia}
$(document).ready(function(){
	$(".btn-tambah,.btn-hapus").attr('disabled','disabled');
});
$(document).ajaxComplete(function(){
	$("form input[type=checkbox]").attr('disabled','disabled');
});
#{/if}
</script>
#{/set}
